<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context=".activity.KeyWordActivity">

    <RelativeLayout
        android:id="@+id/key_top"
        android:layout_width="match_parent"
        android:layout_height="60dp">
        <ImageView
            android:id="@+id/image_back"
            android:layout_width="43dp"
            android:layout_height="43dp"
            android:src="@drawable/image_back"
            android:padding="10dp"
            android:layout_marginTop="10dp"
            android:layout_marginStart="10dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintTop_toTopOf="parent" />
        <TextView
            android:id="@+id/key_top_title"
            android:layout_width="match_parent"
            android:layout_height="43dp"
            android:layout_toEndOf="@+id/image_back"
            android:gravity="center"
            android:visibility="gone"
            android:textStyle="bold"
            android:layout_centerVertical="true"
            android:textSize="25sp"
            android:text="@string/reset_key"
            android:layout_marginStart="10dp"
            />
    </RelativeLayout>
    <ImageView
        android:id="@+id/key_page_logo"
        android:layout_width="83dp"
        android:layout_height="83dp"
        android:layout_marginTop="20dp"
        android:src="@mipmap/logo"
        android:layout_below="@+id/key_top"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        android:layout_centerHorizontal="true"
        app:layout_constraintTop_toTopOf="parent" />
    <TextView
        android:id="@+id/text_page"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="16dp"
        android:text="@string/set_key"
        android:textColor="@color/black"
        android:textSize="30sp"
        android:layout_below="@+id/key_page_logo"
        android:layout_centerHorizontal="true"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/key_page_logo" />
    <com.example.applock.DrawView.InPutKeyView
        android:id="@+id/input_view"
        android:layout_below="@+id/text_page"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="30dp"
        app:layout_constraintTop_toBottomOf="@id/text_page" />
    <TextView
        android:id="@+id/text_key_btn"
        android:layout_width="160dp"
        android:layout_height="40dp"
        android:layout_below="@id/input_view"
        android:layout_centerHorizontal="true"
        android:layout_marginTop="30dp"
        android:background="@drawable/text_key_button"
        android:gravity="center"
        android:text="@string/crate"
        android:visibility="gone"
        android:textColor="@color/white"
        app:layout_constraintLeft_toLeftOf="parent"
        app:layout_constraintRight_toRightOf="parent"
        app:layout_constraintTop_toBottomOf="@id/input_view" />
</RelativeLayout>